[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#517039: causes cron to emit error messages

[Martin F Krafft]
> to /etc/pam.d/common-session and suddenly, crond started to complain
> on every run:

With the new pam-auth-update configuration of pam, cron is set to use
common-session-noninteractive, which should not include
pam_foreground, and thus solve this problem.  I believe that is the
solution to this problem.

When that is said, the libpam-foreground is superseded by the
libpam-ck-connector package, and I would recommend you use this
instead for Lenny and Squeeze.  I believe it is compatible, creating
files in /var/run/console like libpam-foreground do.

It is probably a good idea to make the libpam-foreground package a
dummy package pulling in the libpam-ck-connector package for Squeeze,
and drop in in Squeeze+1.

Happy hacking,
Petter Reinholdtsen

Reply to: